import { AccountAddressRestrictionTransactionBodyBuilder } from './AccountAddressRestrictionTransactionBodyBuilder';
import { AmountDto } from './AmountDto';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { SignatureDto } from './SignatureDto';
import { TimestampDto } from './TimestampDto';
import { TransactionBuilder } from './TransactionBuilder';
import { UnresolvedAddressDto } from './UnresolvedAddressDto';
export declare class AccountAddressRestrictionTransactionBuilder extends TransactionBuilder {
    accountAddressRestrictionTransactionBody: AccountAddressRestrictionTransactionBodyBuilder;
    constructor(signature: SignatureDto, signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, fee: AmountDto, deadline: TimestampDto, restrictionFlags: number, restrictionAdditions: UnresolvedAddressDto[], restrictionDeletions: UnresolvedAddressDto[]);
    static loadFromBinary(payload: Uint8Array): AccountAddressRestrictionTransactionBuilder;
    getRestrictionFlags(): number;
    getAccountRestrictionTransactionBody_Reserved1(): number;
    getRestrictionAdditions(): UnresolvedAddressDto[];
    getRestrictionDeletions(): UnresolvedAddressDto[];
    getSize(): number;
    serialize(): Uint8Array;
}
