import { AccountMosaicRestrictionTransactionBodyBuilder } from './AccountMosaicRestrictionTransactionBodyBuilder';
import { AmountDto } from './AmountDto';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { SignatureDto } from './SignatureDto';
import { TimestampDto } from './TimestampDto';
import { TransactionBuilder } from './TransactionBuilder';
import { UnresolvedMosaicIdDto } from './UnresolvedMosaicIdDto';
export declare class AccountMosaicRestrictionTransactionBuilder extends TransactionBuilder {
    accountMosaicRestrictionTransactionBody: AccountMosaicRestrictionTransactionBodyBuilder;
    constructor(signature: SignatureDto, signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, fee: AmountDto, deadline: TimestampDto, restrictionFlags: number, restrictionAdditions: UnresolvedMosaicIdDto[], restrictionDeletions: UnresolvedMosaicIdDto[]);
    static loadFromBinary(payload: Uint8Array): AccountMosaicRestrictionTransactionBuilder;
    getRestrictionFlags(): number;
    getAccountRestrictionTransactionBody_Reserved1(): number;
    getRestrictionAdditions(): UnresolvedMosaicIdDto[];
    getRestrictionDeletions(): UnresolvedMosaicIdDto[];
    getSize(): number;
    serialize(): Uint8Array;
}
