import { AccountStateFormatDto } from './AccountStateFormatDto';
import { AccountTypeDto } from './AccountTypeDto';
import { AddressDto } from './AddressDto';
import { HeightActivityBucketsBuilder } from './HeightActivityBucketsBuilder';
import { HeightDto } from './HeightDto';
import { ImportanceSnapshotBuilder } from './ImportanceSnapshotBuilder';
import { KeyDto } from './KeyDto';
import { MosaicBuilder } from './MosaicBuilder';
import { MosaicIdDto } from './MosaicIdDto';
export declare class AccountStateBuilder {
    address: AddressDto;
    addressHeight: HeightDto;
    publicKey: KeyDto;
    publicKeyHeight: HeightDto;
    accountType: AccountTypeDto;
    linkedAccountKey: KeyDto;
    format: AccountStateFormatDto;
    importanceSnapshots?: ImportanceSnapshotBuilder;
    activityBuckets?: HeightActivityBucketsBuilder;
    currencyMosaicId: MosaicIdDto;
    balances: MosaicBuilder[];
    constructor(address: AddressDto, addressHeight: HeightDto, publicKey: KeyDto, publicKeyHeight: HeightDto, accountType: AccountTypeDto, linkedAccountKey: KeyDto, currencyMosaicId: MosaicIdDto, balances: MosaicBuilder[], importanceSnapshots?: ImportanceSnapshotBuilder, activityBuckets?: HeightActivityBucketsBuilder);
    static loadFromBinary(payload: Uint8Array): AccountStateBuilder;
    getAddress(): AddressDto;
    getAddressHeight(): HeightDto;
    getPublicKey(): KeyDto;
    getPublicKeyHeight(): HeightDto;
    getAccountType(): AccountTypeDto;
    getLinkedAccountKey(): KeyDto;
    getFormat(): AccountStateFormatDto;
    getImportanceSnapshots(): ImportanceSnapshotBuilder | undefined;
    getActivityBuckets(): HeightActivityBucketsBuilder | undefined;
    getCurrencyMosaicId(): MosaicIdDto;
    getBalances(): MosaicBuilder[];
    getSize(): number;
    serialize(): Uint8Array;
}
