"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GeneratorUtils_1 = require("./GeneratorUtils");
class AddressDto {
    constructor(address) {
        this.address = address;
    }
    static loadFromBinary(payload) {
        const byteArray = Array.from(payload);
        const address = GeneratorUtils_1.GeneratorUtils.getBytes(Uint8Array.from(byteArray), 25);
        byteArray.splice(0, 25);
        return new AddressDto(address);
    }
    getAddress() {
        return this.address;
    }
    getSize() {
        return 25;
    }
    serialize() {
        let newArray = Uint8Array.from([]);
        newArray = GeneratorUtils_1.GeneratorUtils.concatTypedArrays(newArray, this.address);
        return newArray;
    }
}
exports.AddressDto = AddressDto;
//# sourceMappingURL=AddressDto.js.map