import { AddressDto } from './AddressDto';
import { KeyDto } from './KeyDto';
import { MosaicBuilder } from './MosaicBuilder';
import { ReceiptBuilder } from './ReceiptBuilder';
import { ReceiptTypeDto } from './ReceiptTypeDto';
export declare class BalanceTransferReceiptBuilder extends ReceiptBuilder {
    mosaic: MosaicBuilder;
    senderPublicKey: KeyDto;
    recipientAddress: AddressDto;
    constructor(version: number, type: ReceiptTypeDto, mosaic: MosaicBuilder, senderPublicKey: KeyDto, recipientAddress: AddressDto);
    static loadFromBinary(payload: Uint8Array): BalanceTransferReceiptBuilder;
    getMosaic(): MosaicBuilder;
    getSenderPublicKey(): KeyDto;
    getRecipientAddress(): AddressDto;
    getSize(): number;
    serialize(): Uint8Array;
}
