import { EmbeddedTransactionBuilder } from './EmbeddedTransactionBuilder';
import { EntityTypeDto } from './EntityTypeDto';
import { Hash256Dto } from './Hash256Dto';
import { KeyDto } from './KeyDto';
import { LockHashAlgorithmDto } from './LockHashAlgorithmDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { SecretProofTransactionBodyBuilder } from './SecretProofTransactionBodyBuilder';
import { UnresolvedAddressDto } from './UnresolvedAddressDto';
export declare class EmbeddedSecretProofTransactionBuilder extends EmbeddedTransactionBuilder {
    secretProofTransactionBody: SecretProofTransactionBodyBuilder;
    constructor(signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, secret: Hash256Dto, hashAlgorithm: LockHashAlgorithmDto, recipientAddress: UnresolvedAddressDto, proof: Uint8Array);
    static loadFromBinary(payload: Uint8Array): EmbeddedSecretProofTransactionBuilder;
    getSecret(): Hash256Dto;
    getHashAlgorithm(): LockHashAlgorithmDto;
    getRecipientAddress(): UnresolvedAddressDto;
    getProof(): Uint8Array;
    getSize(): number;
    serialize(): Uint8Array;
}
