"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GeneratorUtils_1 = require("./GeneratorUtils");
class Hash512Dto {
    constructor(hash512) {
        this.hash512 = hash512;
    }
    static loadFromBinary(payload) {
        const byteArray = Array.from(payload);
        const hash512 = GeneratorUtils_1.GeneratorUtils.getBytes(Uint8Array.from(byteArray), 64);
        byteArray.splice(0, 64);
        return new Hash512Dto(hash512);
    }
    getHash512() {
        return this.hash512;
    }
    getSize() {
        return 64;
    }
    serialize() {
        let newArray = Uint8Array.from([]);
        newArray = GeneratorUtils_1.GeneratorUtils.concatTypedArrays(newArray, this.hash512);
        return newArray;
    }
}
exports.Hash512Dto = Hash512Dto;
//# sourceMappingURL=Hash512Dto.js.map