import { Hash256Dto } from './Hash256Dto';
import { HeightDto } from './HeightDto';
import { KeyDto } from './KeyDto';
import { LockStatusDto } from './LockStatusDto';
import { MosaicBuilder } from './MosaicBuilder';
export declare class HashLockInfoBuilder {
    senderPublicKey: KeyDto;
    mosaic: MosaicBuilder;
    endHeight: HeightDto;
    status: LockStatusDto;
    hash: Hash256Dto;
    constructor(senderPublicKey: KeyDto, mosaic: MosaicBuilder, endHeight: HeightDto, status: LockStatusDto, hash: Hash256Dto);
    static loadFromBinary(payload: Uint8Array): HashLockInfoBuilder;
    getSenderPublicKey(): KeyDto;
    getMosaic(): MosaicBuilder;
    getEndHeight(): HeightDto;
    getStatus(): LockStatusDto;
    getHash(): Hash256Dto;
    getSize(): number;
    serialize(): Uint8Array;
}
