"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GeneratorUtils_1 = require("./GeneratorUtils");
class HeightActivityBucketsBuilder {
    constructor(buckets) {
        this.buckets = buckets;
    }
    static loadFromBinary(payload) {
        const byteArray = Array.from(payload);
        const buckets = GeneratorUtils_1.GeneratorUtils.getBytes(Uint8Array.from(byteArray), 5);
        byteArray.splice(0, 5);
        return new HeightActivityBucketsBuilder(buckets);
    }
    getBuckets() {
        return this.buckets;
    }
    getSize() {
        let size = 0;
        size += this.buckets.length;
        return size;
    }
    serialize() {
        let newArray = Uint8Array.from([]);
        newArray = GeneratorUtils_1.GeneratorUtils.concatTypedArrays(newArray, this.buckets);
        return newArray;
    }
}
exports.HeightActivityBucketsBuilder = HeightActivityBucketsBuilder;
//# sourceMappingURL=HeightActivityBucketsBuilder.js.map