"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GeneratorUtils_1 = require("./GeneratorUtils");
class KeyDto {
    constructor(key) {
        this.key = key;
    }
    static loadFromBinary(payload) {
        const byteArray = Array.from(payload);
        const key = GeneratorUtils_1.GeneratorUtils.getBytes(Uint8Array.from(byteArray), 32);
        byteArray.splice(0, 32);
        return new KeyDto(key);
    }
    getKey() {
        return this.key;
    }
    getSize() {
        return 32;
    }
    serialize() {
        let newArray = Uint8Array.from([]);
        newArray = GeneratorUtils_1.GeneratorUtils.concatTypedArrays(newArray, this.key);
        return newArray;
    }
}
exports.KeyDto = KeyDto;
//# sourceMappingURL=KeyDto.js.map