import { AmountDto } from './AmountDto';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { MosaicAddressRestrictionTransactionBodyBuilder } from './MosaicAddressRestrictionTransactionBodyBuilder';
import { NetworkTypeDto } from './NetworkTypeDto';
import { SignatureDto } from './SignatureDto';
import { TimestampDto } from './TimestampDto';
import { TransactionBuilder } from './TransactionBuilder';
import { UnresolvedAddressDto } from './UnresolvedAddressDto';
import { UnresolvedMosaicIdDto } from './UnresolvedMosaicIdDto';
export declare class MosaicAddressRestrictionTransactionBuilder extends TransactionBuilder {
    mosaicAddressRestrictionTransactionBody: MosaicAddressRestrictionTransactionBodyBuilder;
    constructor(signature: SignatureDto, signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, fee: AmountDto, deadline: TimestampDto, mosaicId: UnresolvedMosaicIdDto, restrictionKey: bigint, previousRestrictionValue: bigint, newRestrictionValue: bigint, targetAddress: UnresolvedAddressDto);
    static loadFromBinary(payload: Uint8Array): MosaicAddressRestrictionTransactionBuilder;
    getMosaicId(): UnresolvedMosaicIdDto;
    getRestrictionKey(): bigint;
    getPreviousRestrictionValue(): bigint;
    getNewRestrictionValue(): bigint;
    getTargetAddress(): UnresolvedAddressDto;
    getSize(): number;
    serialize(): Uint8Array;
}
