import { AmountDto } from './AmountDto';
import { BlockDurationDto } from './BlockDurationDto';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { MosaicDefinitionTransactionBodyBuilder } from './MosaicDefinitionTransactionBodyBuilder';
import { MosaicIdDto } from './MosaicIdDto';
import { MosaicNonceDto } from './MosaicNonceDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { SignatureDto } from './SignatureDto';
import { TimestampDto } from './TimestampDto';
import { TransactionBuilder } from './TransactionBuilder';
export declare class MosaicDefinitionTransactionBuilder extends TransactionBuilder {
    mosaicDefinitionTransactionBody: MosaicDefinitionTransactionBodyBuilder;
    constructor(signature: SignatureDto, signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, fee: AmountDto, deadline: TimestampDto, id: MosaicIdDto, duration: BlockDurationDto, nonce: MosaicNonceDto, flags: number, divisibility: number);
    static loadFromBinary(payload: Uint8Array): MosaicDefinitionTransactionBuilder;
    getId(): MosaicIdDto;
    getDuration(): BlockDurationDto;
    getNonce(): MosaicNonceDto;
    getFlags(): number;
    getDivisibility(): number;
    getSize(): number;
    serialize(): Uint8Array;
}
