import { AmountDto } from './AmountDto';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { MosaicGlobalRestrictionTransactionBodyBuilder } from './MosaicGlobalRestrictionTransactionBodyBuilder';
import { MosaicRestrictionTypeDto } from './MosaicRestrictionTypeDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { SignatureDto } from './SignatureDto';
import { TimestampDto } from './TimestampDto';
import { TransactionBuilder } from './TransactionBuilder';
import { UnresolvedMosaicIdDto } from './UnresolvedMosaicIdDto';
export declare class MosaicGlobalRestrictionTransactionBuilder extends TransactionBuilder {
    mosaicGlobalRestrictionTransactionBody: MosaicGlobalRestrictionTransactionBodyBuilder;
    constructor(signature: SignatureDto, signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, fee: AmountDto, deadline: TimestampDto, mosaicId: UnresolvedMosaicIdDto, referenceMosaicId: UnresolvedMosaicIdDto, restrictionKey: bigint, previousRestrictionValue: bigint, newRestrictionValue: bigint, previousRestrictionType: MosaicRestrictionTypeDto, newRestrictionType: MosaicRestrictionTypeDto);
    static loadFromBinary(payload: Uint8Array): MosaicGlobalRestrictionTransactionBuilder;
    getMosaicId(): UnresolvedMosaicIdDto;
    getReferenceMosaicId(): UnresolvedMosaicIdDto;
    getRestrictionKey(): bigint;
    getPreviousRestrictionValue(): bigint;
    getNewRestrictionValue(): bigint;
    getPreviousRestrictionType(): MosaicRestrictionTypeDto;
    getNewRestrictionType(): MosaicRestrictionTypeDto;
    getSize(): number;
    serialize(): Uint8Array;
}
