"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GeneratorUtils_1 = require("./GeneratorUtils");
class MosaicIdDto {
    constructor(mosaicId) {
        this.mosaicId = mosaicId;
    }
    static loadFromBinary(payload) {
        const byteArray = Array.from(payload);
        const mosaicId = GeneratorUtils_1.GeneratorUtils.bufferToBigInt(GeneratorUtils_1.GeneratorUtils.getBytes(Uint8Array.from(byteArray), 8));
        byteArray.splice(0, 8);
        return new MosaicIdDto(mosaicId);
    }
    getMosaicId() {
        return this.mosaicId;
    }
    getSize() {
        return 8;
    }
    serialize() {
        let newArray = Uint8Array.from([]);
        const mosaicIdBytes = GeneratorUtils_1.GeneratorUtils.bigIntToBuffer(this.getMosaicId());
        newArray = GeneratorUtils_1.GeneratorUtils.concatTypedArrays(newArray, mosaicIdBytes);
        return newArray;
    }
}
exports.MosaicIdDto = MosaicIdDto;
//# sourceMappingURL=MosaicIdDto.js.map