import { AmountDto } from './AmountDto';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { MultisigAccountModificationTransactionBodyBuilder } from './MultisigAccountModificationTransactionBodyBuilder';
import { NetworkTypeDto } from './NetworkTypeDto';
import { SignatureDto } from './SignatureDto';
import { TimestampDto } from './TimestampDto';
import { TransactionBuilder } from './TransactionBuilder';
export declare class MultisigAccountModificationTransactionBuilder extends TransactionBuilder {
    multisigAccountModificationTransactionBody: MultisigAccountModificationTransactionBodyBuilder;
    constructor(signature: SignatureDto, signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, fee: AmountDto, deadline: TimestampDto, minRemovalDelta: number, minApprovalDelta: number, publicKeyAdditions: KeyDto[], publicKeyDeletions: KeyDto[]);
    static loadFromBinary(payload: Uint8Array): MultisigAccountModificationTransactionBuilder;
    getMinRemovalDelta(): number;
    getMinApprovalDelta(): number;
    getMultisigAccountModificationTransactionBody_Reserved1(): number;
    getPublicKeyAdditions(): KeyDto[];
    getPublicKeyDeletions(): KeyDto[];
    getSize(): number;
    serialize(): Uint8Array;
}
