import { KeyDto } from './KeyDto';
export declare class MultisigEntryBuilder {
    minApproval: number;
    minRemoval: number;
    accountPublicKey: KeyDto;
    cosignatoryPublicKeys: KeyDto[];
    multisigPublicKeys: KeyDto[];
    constructor(minApproval: number, minRemoval: number, accountPublicKey: KeyDto, cosignatoryPublicKeys: KeyDto[], multisigPublicKeys: KeyDto[]);
    static loadFromBinary(payload: Uint8Array): MultisigEntryBuilder;
    getMinApproval(): number;
    getMinRemoval(): number;
    getAccountPublicKey(): KeyDto;
    getCosignatoryPublicKeys(): KeyDto[];
    getMultisigPublicKeys(): KeyDto[];
    getSize(): number;
    serialize(): Uint8Array;
}
