import { BlockDurationDto } from './BlockDurationDto';
import { Hash256Dto } from './Hash256Dto';
import { LockHashAlgorithmDto } from './LockHashAlgorithmDto';
import { UnresolvedAddressDto } from './UnresolvedAddressDto';
import { UnresolvedMosaicBuilder } from './UnresolvedMosaicBuilder';
export declare class SecretLockTransactionBodyBuilder {
    secret: Hash256Dto;
    mosaic: UnresolvedMosaicBuilder;
    duration: BlockDurationDto;
    hashAlgorithm: LockHashAlgorithmDto;
    recipientAddress: UnresolvedAddressDto;
    constructor(secret: Hash256Dto, mosaic: UnresolvedMosaicBuilder, duration: BlockDurationDto, hashAlgorithm: LockHashAlgorithmDto, recipientAddress: UnresolvedAddressDto);
    static loadFromBinary(payload: Uint8Array): SecretLockTransactionBodyBuilder;
    getSecret(): Hash256Dto;
    getMosaic(): UnresolvedMosaicBuilder;
    getDuration(): BlockDurationDto;
    getHashAlgorithm(): LockHashAlgorithmDto;
    getRecipientAddress(): UnresolvedAddressDto;
    getSize(): number;
    serialize(): Uint8Array;
}
