import { Hash256Dto } from './Hash256Dto';
import { LockHashAlgorithmDto } from './LockHashAlgorithmDto';
import { UnresolvedAddressDto } from './UnresolvedAddressDto';
export declare class SecretProofTransactionBodyBuilder {
    secret: Hash256Dto;
    hashAlgorithm: LockHashAlgorithmDto;
    recipientAddress: UnresolvedAddressDto;
    proof: Uint8Array;
    constructor(secret: Hash256Dto, hashAlgorithm: LockHashAlgorithmDto, recipientAddress: UnresolvedAddressDto, proof: Uint8Array);
    static loadFromBinary(payload: Uint8Array): SecretProofTransactionBodyBuilder;
    getSecret(): Hash256Dto;
    getHashAlgorithm(): LockHashAlgorithmDto;
    getRecipientAddress(): UnresolvedAddressDto;
    getProof(): Uint8Array;
    getSize(): number;
    serialize(): Uint8Array;
}
