"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GeneratorUtils_1 = require("./GeneratorUtils");
class TimestampDto {
    constructor(timestamp) {
        this.timestamp = timestamp;
    }
    static loadFromBinary(payload) {
        const byteArray = Array.from(payload);
        const timestamp = GeneratorUtils_1.GeneratorUtils.bufferToBigInt(GeneratorUtils_1.GeneratorUtils.getBytes(Uint8Array.from(byteArray), 8));
        byteArray.splice(0, 8);
        return new TimestampDto(timestamp);
    }
    getTimestamp() {
        return this.timestamp;
    }
    getSize() {
        return 8;
    }
    serialize() {
        let newArray = Uint8Array.from([]);
        const timestampBytes = GeneratorUtils_1.GeneratorUtils.bigIntToBuffer(this.getTimestamp());
        newArray = GeneratorUtils_1.GeneratorUtils.concatTypedArrays(newArray, timestampBytes);
        return newArray;
    }
}
exports.TimestampDto = TimestampDto;
//# sourceMappingURL=TimestampDto.js.map