import { AmountDto } from './AmountDto';
import { EntityTypeDto } from './EntityTypeDto';
import { KeyDto } from './KeyDto';
import { NetworkTypeDto } from './NetworkTypeDto';
import { SignatureDto } from './SignatureDto';
import { TimestampDto } from './TimestampDto';
import { TransactionBuilder } from './TransactionBuilder';
import { TransferTransactionBodyBuilder } from './TransferTransactionBodyBuilder';
import { UnresolvedAddressDto } from './UnresolvedAddressDto';
import { UnresolvedMosaicBuilder } from './UnresolvedMosaicBuilder';
export declare class TransferTransactionBuilder extends TransactionBuilder {
    transferTransactionBody: TransferTransactionBodyBuilder;
    constructor(signature: SignatureDto, signerPublicKey: KeyDto, version: number, network: NetworkTypeDto, type: EntityTypeDto, fee: AmountDto, deadline: TimestampDto, recipientAddress: UnresolvedAddressDto, mosaics: UnresolvedMosaicBuilder[], message: Uint8Array);
    static loadFromBinary(payload: Uint8Array): TransferTransactionBuilder;
    getRecipientAddress(): UnresolvedAddressDto;
    getTransferTransactionBody_Reserved1(): number;
    getMosaics(): UnresolvedMosaicBuilder[];
    getMessage(): Uint8Array;
    getSize(): number;
    serialize(): Uint8Array;
}
