"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GeneratorUtils_1 = require("./GeneratorUtils");
class UnresolvedAddressDto {
    constructor(unresolvedAddress) {
        this.unresolvedAddress = unresolvedAddress;
    }
    static loadFromBinary(payload) {
        const byteArray = Array.from(payload);
        const unresolvedAddress = GeneratorUtils_1.GeneratorUtils.getBytes(Uint8Array.from(byteArray), 25);
        byteArray.splice(0, 25);
        return new UnresolvedAddressDto(unresolvedAddress);
    }
    getUnresolvedAddress() {
        return this.unresolvedAddress;
    }
    getSize() {
        return 25;
    }
    serialize() {
        let newArray = Uint8Array.from([]);
        newArray = GeneratorUtils_1.GeneratorUtils.concatTypedArrays(newArray, this.unresolvedAddress);
        return newArray;
    }
}
exports.UnresolvedAddressDto = UnresolvedAddressDto;
//# sourceMappingURL=UnresolvedAddressDto.js.map