"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GeneratorUtils_1 = require("./GeneratorUtils");
class UnresolvedMosaicIdDto {
    constructor(unresolvedMosaicId) {
        this.unresolvedMosaicId = unresolvedMosaicId;
    }
    static loadFromBinary(payload) {
        const byteArray = Array.from(payload);
        const unresolvedMosaicId = GeneratorUtils_1.GeneratorUtils.bufferToBigInt(GeneratorUtils_1.GeneratorUtils.getBytes(Uint8Array.from(byteArray), 8));
        byteArray.splice(0, 8);
        return new UnresolvedMosaicIdDto(unresolvedMosaicId);
    }
    getUnresolvedMosaicId() {
        return this.unresolvedMosaicId;
    }
    getSize() {
        return 8;
    }
    serialize() {
        let newArray = Uint8Array.from([]);
        const unresolvedMosaicIdBytes = GeneratorUtils_1.GeneratorUtils.bigIntToBuffer(this.getUnresolvedMosaicId());
        newArray = GeneratorUtils_1.GeneratorUtils.concatTypedArrays(newArray, unresolvedMosaicIdBytes);
        return newArray;
    }
}
exports.UnresolvedMosaicIdDto = UnresolvedMosaicIdDto;
//# sourceMappingURL=UnresolvedMosaicIdDto.js.map